### Function

# Soup cookies_from_request

#### Declaration [src]

    GSList*
    soup_cookies_from_request (
      SoupMessage* msg
    )

#### Description [src]

Parses `msg`‘s Cookie request header and returns a `GSList` of `SoupCookie`s.

As the “Cookie” header, unlike “Set-Cookie”, only contains cookie names and values, none of the other `SoupCookie` fields will be filled in. (Thus, you can’t generally pass a cookie returned from this method directly to `soup_cookies_to_response()`.)

#### Parameters

`msg` | `SoupMessage`
| A `SoupMessage` containing a “Cookie” request header.
| The data is owned by the caller of the function.

#### Return value

Returns: | A list of `SoupCookie*`
| A `GSList` of `SoupCookie`s, which can be freed with `soup_cookie_free()`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.